Dica: Atualizar o Firefox para a ultima versão no Linux Educacional

Uma grande desvantagem do Linux Educacional, está na sua fragilidade quanto à atualizações, como sua versão é baseada no ubuntu 8.04 (2008 até 2009), atualizações para esta versão são escassas. Como no post “Bloqueando sites pelo navegador” a versão 3.6 e anteriores  não é compatível com o PROCON escrevo este post para atualização (Digamos que forçada) do Firefox para a ultima versão do Firefox.

Antes de mais nada, baixe o Mozilla Firefox no próprio site da mozilla, será baixado um arquivo compactado com a extensão tar.bz2 (Melhor compressão comparada ao zip). No Linux Educacional, os arquivos baixados vão para a pasta Desktop então extraia os arquivos na mesma pasta o que irá gerar uma pasta chamada Firefox:

Extraindo arquivos

Após extraído, cuidado com os passos a seguir pois algum equivoco pode prejudicar o sistema!

Vá em INICIAR>SISTEMA>GERENCIADOR DE ARQUIVOS (MODO SUPER USUÁRIO):

Será pedido a senha para acessar o sistema (Coloque a senha do usuário, lembrando que o usuário deve ter privilégios administrativos, geralmente o próprio usuário aluno ou professor):

Se tudo estiver certo, você entrará no gerenciador de arquivos (Konquerror) como super-usuário (root) no diretório padrão do super-usuário (/root), lá em cima onde tem /root coloque o caminho do diretório onde está a pasta Firefox (/home/usuario/Desktop troque o usuário pelo usuário logado):

Entre na pasta criada após a extração (FIREFOX) e copie TUDO que há nela!:

Essa é a parte perigosa! Após copiar todos os arquivos (Ctrl + a e depois Ctrl +c), você deve colar os arquivos e pastas na pasta de instalação do Firefox, no Linux /usr/lib/firefox e /usr/lib/firefox-xxxxx. Digite lá em cima /usr/lib/firefox:

Cole os arquivos copiados anteriormente aqui, sobrescrevendo todas as ocorrências!

Feito isso, acesse /usr/lib/firefox-(3.xxxxx Enquanto digita veja qual a versão), faça o mesmo procedimento nessa pasta!

Terminado reinicie o computador e aproveite! Caso o Firefox esteja em Inglês apenas instale o complemento de interface pt-BR e reinicie o Firefox.

Anúncios

17 comentários sobre “Dica: Atualizar o Firefox para a ultima versão no Linux Educacional

  1. Atualizei como o descrito acima, mas o firefox não abre mais, fica somente na ampulheta e fecha sem mensagem alguma.

  2. Oi! Segui o passo-a-passo e não deu certo. O que fazer? E como reverter o que já foi feito? Desde já agradeço qualquer informação.

      • Obrigada pelo retorno. Entretanto, não deu certo também.
        No terminal aparece “rm: operação inválida — / .”
        Meu Deus! Onde foi meu erro?

  3. Olá, fiz e refiz várias vezes e não funciona aqui, fica apenas o início de abertura ( ampulheta ) e nada mais, felizmente fiz beckup antes e revertí os arquivos, mas como não consigo atualizar tenho problemas principalmente com vídeos do youtube que alguns projetos necessitam, como corrigir isso? Ps: tenho o chrome instalado também e nenhum dos dois visualiza os vídeos.

  4. Olá, eu fiz todo o procedimento e não deu certo. Depois de verificar algumas possibilidades, encontrei a solução.
    Eu estava usando a versão 15.0 e quis sobrescrever direto para a 23.0, o que não deu certo. O que fiz: baixei as versões superiores a 15 e fui sobrescrevendo. Por exemplo, peguei a 16.0, a 17.0 e assim por diante. Aí deu certinho, firefox atualizado.
    Pelo menos aqui, não deu certo pular algumas versões, tive que atualizar uma a uma.
    Deve funcionar pra quem teve problemas.

    Meu blog: http://www.aldacavalcante.com

  5. Pronto!! valeu amigo agora estou sem navegador!!!!

    Parece que de graça mesmo só bala perdida/ atropelamento etc…

    O Le é bom, mas é como a coisa pública no brasil, só e somente só durante o período daquele governante a minha versão foi instalada por um prefeitura…

    Em todos as páginas que fui atrás de ajuda onde sugerem milagres cibernéticos, toda vez quando o feedback é negativo o responsável não retorna para desfazer em caso de erros…

    brasileiro sofre pra KCT com a coisa pública.

  6. Era só o que faltava no lixo educacional 3.0, agora não mais há mais pasta firefox (O KDEInit não pode lançar firefox. Cold not find firefox executable) e não consigo instalar o navegador nem pelo terminal – sudo, nem por subscrição de pasta, nem por instalação!!

    Google chrome stable_current_i386.deb: error: dependency is not satisfiable: gconfig-service (fui atrás do auxílio noutras páginas e nada).

    Opera 12.16.1860_amd64.deb: error: Wrong architecture ‘amd64’ (fui atrás do auxílio noutras páginas e nada).

    E nos pacotes GZ onde se descompacta os comandos não são atendidos seja por root, galho ou folha…

    Lamentável, KDE Linux a facilidade?

    • Tente instalar um aplicativo para Windows 8 em um windows ME… É o mesmo conceito. Linux Educacional é baseado na versão 8.04 do ubuntu, sabe de que ano é essa versão? Logico que o LE é bom, mas ele é antigo, os aplicativos não querem saber disso, são atualizados para as novas versões. Agora se o senhor quizer ajuda, se sinta a vontade para nos ligar e agendar uma visita (caso seja de alguma escola do Estado). Linux é facilidade sim, mas também não é uma maquina de milagres.

      • Ok suporte, entendo sua indignação com meu comentário, mas o post não se trata de “ALERTAR” aceca de INcompatibilidades e SIM de: “Dica: Atualizar o Firefox para a ultima versão no Linux Educacional”. E não fala nada além…

        Você está se defendendo pois não sabe como ajudar terceiros, quem disponibiliza um serviço, um S.O tem que saber como auxiliar ou retirem do ar os posts incompatíveis para não atrasar a vida de terceiros. No windows que é um S.O para usuários do tipo plug’n’play ele atende muito bem as exigências diárias seu lado obscuro são os “royalties” empresariais que forçam mudanças consumistas sua defasagem é proposital…

        Gosto do linux Educacional, madriva, ubunto etc, me ajudaram por demais MENOS os suportes técnicos espalhados na rede, cada um que receite um medicamento diferente.

        Serviços problemáticos são apenas uma das formas do governa reduzir gastos durante 4 anos e poder comer o dinheiro nas campanhas.

        Se você está se doendo com minha cobrança JUSTA, pois acreditei no post deveria mudar de ramo.

        KDE linux educacional 3.0 sua facilidade???

Deixe um comentário

Preencha os seus dados abaixo ou clique em um ícone para log in:

Logotipo do WordPress.com

Você está comentando utilizando sua conta WordPress.com. Sair / Alterar )

Imagem do Twitter

Você está comentando utilizando sua conta Twitter. Sair / Alterar )

Foto do Facebook

Você está comentando utilizando sua conta Facebook. Sair / Alterar )

Foto do Google+

Você está comentando utilizando sua conta Google+. Sair / Alterar )

Conectando a %s